Browse the help center

Create a new label

Creates a new label with the specified properties.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/label/create.do

Creates a new label with the specified properties. The JSON request body must include 'value' (label name), and 'defaultLabelObjectType' (1=Banner or 2=Placement) when 'defaultLabel' is true. Optionally include 'defaultLabel' (boolean) and 'defaultLabelPlacementTypes' (array of placement type IDs). Returns validation errors if the value is empty or the object type is invalid. Returns an error if a label with the same value already exists. Requires the LABELS_MANAGEMENT permission.

Body

A JSON body. An example, built from the field definitions:

{
  "id": "100",
  "value": "Sports",
  "defaultLabel": "false",
  "defaultLabelObjectType": "1"
}

Responses

200

Label created successfully

400

Invalid value, object type or placement type ids (per-field errors), or a label with that value already exists

401

Authentication error

403

No access to labels management

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.